Index: src/sans/dataloader/data_info.py
===================================================================
--- src/sans/dataloader/data_info.py	(revision be577e73697f1bbd3f93250dd594d00eff510718)
+++ src/sans/dataloader/data_info.py	(revision 76cd1aeb8047424a5dc9e1d0e5c3eaa0f17c3bb4)
@@ -425,12 +425,13 @@
     def __str__(self):
         _str  = "Transmission Spectrum:\n"
-        _str += "   Name:       {0}".format(self.name)
-        _str += "   Timestamp:  {1}".format(self.timestamp)
-        _str += "   Wavelength [{0}] | Transmission [{1}] | Trans Dev [{2}]\n".format(self.wavelength_unit, self.transmission_unit, self.transmission_deviation_unit)
-        for i in range(len(self.wavelength)):
-            _str += "   {0}, {1}".format(self.wavelength[i], self.transmission[i])
-            if len(self.transmission_deviation > i):
-                _str += ", {0}".format(self.transmission_deviation[i])
-            _str += "\n"
+        _str += "   Name:             \t{0}\n".format(self.name)
+        _str += "   Timestamp:        \t{0}\n".format(self.timestamp)
+        _str += "   Wavelength unit:  \t{0}\n".format(self.wavelength_unit)
+        _str += "   Transmission unit:\t{0}\n".format(self.transmission_unit)
+        _str += "   Trans. Dev. unit:  \t{0}\n".format(\
+                                            self.transmission_deviation_unit)
+        length_list = [len(self.wavelength), len(self.transmission), \
+                len(self.transmission_deviation)]
+        _str += "   Number of Pts:    \t{0}\n".format(max(length_list))
         return _str
     
@@ -498,5 +499,5 @@
         self.collimation = []
         ## Transmission Spectrum
-        self.trans_spectrum = TransmissionSpectrum()
+        self.trans_spectrum = []
         ## Additional meta-data
         self.meta_data  = {}
@@ -533,5 +534,6 @@
         for item in self.notes:
             _str += "%s\n" % str(item)
-
+        for item in self.trans_spectrum:
+            _str += "%s\n" % str(item)
         return _str
             
@@ -757,16 +759,17 @@
             clone = Data1D(x, y, dx=dx, dy=dy)
         
-        clone.title       = self.title
-        clone.run         = self.run
-        clone.filename    = self.filename
-        clone.instrument  = self.instrument
-        clone.notes       = deepcopy(self.notes)
-        clone.process     = deepcopy(self.process)
-        clone.detector    = deepcopy(self.detector)
-        clone.sample      = deepcopy(self.sample)
-        clone.source      = deepcopy(self.source)
-        clone.collimation = deepcopy(self.collimation)
-        clone.meta_data   = deepcopy(self.meta_data)
-        clone.errors      = deepcopy(self.errors)
+        clone.title          = self.title
+        clone.run            = self.run
+        clone.filename       = self.filename
+        clone.instrument     = self.instrument
+        clone.notes          = deepcopy(self.notes)
+        clone.process        = deepcopy(self.process)
+        clone.detector       = deepcopy(self.detector)
+        clone.sample         = deepcopy(self.sample)
+        clone.source         = deepcopy(self.source)
+        clone.collimation    = deepcopy(self.collimation)
+        clone.trans_spectrum = deepcopy(self.trans_spectrum)
+        clone.meta_data      = deepcopy(self.meta_data)
+        clone.errors         = deepcopy(self.errors)
         
         return clone
Index: src/sans/dataloader/readers/cansas_constants.py
===================================================================
--- src/sans/dataloader/readers/cansas_constants.py	(revision 75eeb4259b6c50a745eb6eec9691323e3c4f077f)
+++ src/sans/dataloader/readers/cansas_constants.py	(revision 76cd1aeb8047424a5dc9e1d0e5c3eaa0f17c3bb4)
@@ -1,5 +1,17 @@
-## Left off at SASInstrument, line 178
-
+"""
+Information relating to the CanSAS data format. These constants are used in
+the cansas_reader.py file to read in any version of the cansas format.
+"""
 class cansasConstants:
+    
+    ns = ''
+    format = ''
+    
+    def __init__(self):
+        self.ns = self.CANSAS_NS
+        self.format = self.CANSAS_FORMAT
+    """
+    CANSAS_NS holds the base namespace and the default schema file information
+    """
     CANSAS_NS = {
                  "1.0" : {
